package fr.asip.cps3.exemple.vues.menus;

import java.awt.event.ActionListener;
import fr.asip.cps3.exemple.modele.objets.Objet;

/**
 * Classe modélisant un item de menu de type Objet
 *
 */
public class ItemMenuObjet extends ItemMenu {
	
	private static final long serialVersionUID = -2677514472376816015L;
	
	/**
	 * Objet associé à l'item de menu
	 */
	private Objet objet;

	/**
	 * Constructeur à 5 arguments 
	 * @param objet Objet associé à l'item de menu
	 * @param idParent Identifiant du menu parent
	 * @param enable Booléen attestant du caractère actionnable de l'item de menu
	 * @param visible Booléen attestant du caractère visible de l'item de menu
	 * @param ecouteur Ecouteur positionné sur l'item de menu
	 */
	public ItemMenuObjet(Objet objet,String idParent, boolean enable, boolean visible, ActionListener ecouteur) {
		
		super(idParent+",", idParent, "", enable, visible, ecouteur);
		this.objet = objet;
		if(objet != null) {
			setId(getIdParent()+","+objet.getIdObjet());
			setText(objet.getLibelle());
		}
		
	}

	/**
	 * Accesseur
	 * @return Objet associé à l'item de menu
	 */
	public Objet getObjet() {
		return objet;
	}


	
}
